Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043417
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-03-04 14:492020-03-11 16:49
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisionabc3e0063001
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043417: Apply new HQL Style in ResetAccounting.java

DescriptionResetAccounting.java has three HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0118399)
inigo_lerga (developer)
2020-03-06 14:44

--Test Plan Mantis HQL queries--
For this query to get executed, Execute the PostDocumentTest.java JUnit tests.
#In this moment some of the modified HQLs are executed#

As the F&B International Group Admin role:
  - Go to the Reset Accounting window and select
    "F&B International Group" as Client and
    "*" as Organization.
    Leave the rest of fields as default.
    Press the Done button.

  #In this moment some of the modified HQLs are executed#

  - Go to the Reset Accounting window and select
    "F&B International Group" as Client,
    "*" as Organization,
    All tables in the Table selector,
    "06-03-2017" as Starting Date and
    Today as Ending Day
    Check the Delete existing Accounting Entries checkbox.
    Press the Done button.

    #In this moment some of the modified HQLs are executed#

  - Go to the Reset Accounting window and select
    "F&B International Group" as Client and
    "F&B España, S.A" as Organization.
    Leave the rest of fields as default.
    Check the Delete existing Accounting Entries checkbox.
    Press the Done button.

  #In this moment some of the modified HQLs are executed#
(0118520)
hgbot (developer)
2020-03-11 16:49

Repository: erp/devel/pi
Changeset: abc3e0063001f917fb99dd501b9f5f93b827a523
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Fri Mar 06 13:04:37 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/abc3e0063001f917fb99dd501b9f5f93b827a523 [^]

fixes BUG-43417:Applied new HQL Style

-HQL style updated
-Identical queries with small differences
 refactored
-Variables' names changed to be show
 they're ids
-Ids used in queries instead of objects

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0118521)
hgbot (developer)
2020-03-11 16:49

Repository: erp/devel/pi
Changeset: 8e6a374295922a868d474056b381f520d5e51284
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Fri Mar 06 14:47:05 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8e6a374295922a868d474056b381f520d5e51284 [^]

related to ISSUE-43417: Applied Sonarlint suggestions and more

-Finals added
-Sonarlint suggestions applied
-Small refactor in the position of variables' declaration.

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0118522)
hgbot (developer)
2020-03-11 16:49

Repository: erp/devel/pi
Changeset: df56331ced8a5530335b5d6f02b7fc663e232b38
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Mar 11 16:48:49 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/df56331ced8a5530335b5d6f02b7fc663e232b38 [^]

Related to ISSUE-43417. Code Review changes:

* Added missing exception as it was an API change
* Created two methods to use instead of sending a boolean parameter
* Changed upate method, in this case, having two sepparate queries
  makes it more redable
* Set parameter only once

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0118523)
dmiguelez (developer)
2020-03-11 16:49

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-03-04 14:49 inigo_lerga New Issue
2020-03-04 14:49 inigo_lerga Assigned To => inigo_lerga
2020-03-04 14:49 inigo_lerga Modules => Core
2020-03-04 14:49 inigo_lerga Triggers an Emergency Pack => No
2020-03-04 14:49 inigo_lerga Relationship added related to 0041287
2020-03-04 14:49 inigo_lerga Status new => scheduled
2020-03-06 14:44 inigo_lerga Note Added: 0118399
2020-03-11 16:49 hgbot Checkin
2020-03-11 16:49 hgbot Note Added: 0118520
2020-03-11 16:49 hgbot Status scheduled => resolved
2020-03-11 16:49 hgbot Resolution open => fixed
2020-03-11 16:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/abc3e0063001f917fb99dd501b9f5f93b827a523 [^]
2020-03-11 16:49 hgbot Checkin
2020-03-11 16:49 hgbot Note Added: 0118521
2020-03-11 16:49 hgbot Checkin
2020-03-11 16:49 hgbot Note Added: 0118522
2020-03-11 16:49 dmiguelez Review Assigned To => dmiguelez
2020-03-11 16:49 dmiguelez Note Added: 0118523
2020-03-11 16:49 dmiguelez Status resolved => closed
2020-03-11 16:49 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker